# access rule

Identity v3

Access rules are fine-grained permissions for application credentials. An access rule comprises of a service type, a request path, and a request method. Access rules may only be created as attributes of application credentials, but they may be viewed and deleted independently.

## access rule delete

Delete access rule(s)

    openstack access rule delete <access-rule> [<access-rule> ...]

access-rule

  Access rule ID(s) to delete

## access rule list

List access rules

    openstack access rule list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--user <user>]
        [--user-domain <user-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--user <user>

  User whose access rules to list (name or ID)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

## access rule show

Display access rule details

    openstack access rule show <access-rule>

access-rule

  Access rule ID to display

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.